Subject: Re: Fwd: Packet mmap: TX RING and zero copy

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 5 Sep 2008 17:37:48 +0400

On Fri, Sep 05, 2008 at 03:29:25PM +0200, Johann Baudy ([email-masked]) wrote:
> So, it seems that there is something wrong in UDP here, because TCP
> works properly with same code.
> If size argument of sendfile() exceed 61440, sendfile() returns 61440
> and send no data to the device ...

That's a bug. Likely no one sends file content via udp, so it was not
detected...

> I will try to investigate it but for my app sendfile() is not
> conceivable. Only vmsplice could, but too slow.

Well, you can mmap empty file into the RAM, lock it there, DMA data from
the sensor to the mmapped area, add headers (just in the mapped area)
and then sendfile that file.. Single syscall, zero-copy, standard
interfaces :)

-- 
	Evgeniy Polyakov